Bug 183059 - missing symlink
missing symlink
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-25 15:21 EST by Ben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 17:10:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben 2006-02-25 15:21:38 EST
Description of problem:

After installing the hypervisor kernel and the kernel-devel package, I cannot
build DRBD against the kernel because
/lib/modules/2.6.15-1.1977_FC5hypervisor/build tries to link to
/usr/src/kernels/2.6.15-1.1977_FC5-hypervisor-x86_64, but
/usr/src/kernels/2.6.15-1.1977_FC5-hypervisor-x86_64 does not exist, only

I don't know if there should be a special kernel-devel RPM I should be using, or
if that symlink is simply busted.
Comment 1 Stephen Tweedie 2006-03-15 17:10:23 EST
kernel-xen-hypervisor has been renamed kernel-xen0; you need the
kernel-xen0-devel (or kernel-xenU-devel for guest) devel packages for building
modules.  Current rawhide -devel packages should have the correct symlinks;
please reopen if you still have trouble.

Note You need to log in before you can comment on or make changes to this bug.